cannot use the plugin installer when installed using osgeo4w setup

2011-07-29 04:00 AM - maning sambale

Status: Rejected

Priority: Normal

Assignee:

Category: Build/Install

Affected QGIS version: Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data: Copied to github as #: 14101

Description

I tried installing qgis 1.7.2 and 1.7.3 via osgeo4w.  QGIS was installed but I cannot enable the Plugin Installer "incompatible version"

History

#1 - 2011-07-29 04:03 AM - maning sambale

- File Picture_3.png added

Plugin Installer 0.9 incompatible version

#2 - 2011-07-29 04:52 AM - Borys Jurgiel

Strange, seems you have the installer with corrupted metadata. 0.9 was quite old version, however should be compatible with all 1.x qgis releases.

Do you have a "plugin_installer" directory in your home directory\\.qgis\\python\\plugins ? If so, just remove it and it should help. Qgis 1.7 comes with plugin

installer 1.2.1 placed inside of te Osgeo4W directory.

Anyway, I don't know why qgis finds the 0.9 incompatible with 1.7

#3 - 2011-07-31 10:58 PM - maning sambale

Thank you, removing the plugin_installer directory solves the problem.

#4 - 2011-07-31 11:39 PM - maning sambale

Additional info: I had a previous qgis installed (1.4).  I un-installed 1.4 before installing 1.7, it seems the plugin_installer was not removed duing the

uninstall.

#5 - 2011-07-31 11:54 PM - Borys Jurgiel

It's normal. Plugins installed by user (including plugin_installer updates) are not removed. If someone else reports such problem, I'll investigate why qgis

finds it incompatible.

#6 - 2011-08-01 01:02 AM - Paolo Cavallini
- Resolution set to invalid

- Status changed from Open to Rejected
